Bug 1029760 - [abrt] geany-1.23.1-1.fc19: gtk_notebook_button_release: Process /usr/bin/geany was killed by signal 11 (SIGSEGV)
[abrt] geany-1.23.1-1.fc19: gtk_notebook_button_release: Process /usr/bin/gea...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: geany (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2b18fae6e745deca254282ee78e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 01:49 EST by Mark Rooks
Modified: 2015-02-17 14:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:13:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.27 KB, text/plain)
2013-11-13 01:49 EST, Mark Rooks
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-13 01:49 EST, Mark Rooks
no flags Details
File: core_backtrace (10.88 KB, text/plain)
2013-11-13 01:49 EST, Mark Rooks
no flags Details
File: dso_list (7.51 KB, text/plain)
2013-11-13 01:49 EST, Mark Rooks
no flags Details
File: environ (2.01 KB, text/plain)
2013-11-13 01:49 EST, Mark Rooks
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-13 01:49 EST, Mark Rooks
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-13 01:49 EST, Mark Rooks
no flags Details
File: maps (39.84 KB, text/plain)
2013-11-13 01:49 EST, Mark Rooks
no flags Details
File: open_fds (1.14 KB, text/plain)
2013-11-13 01:50 EST, Mark Rooks
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-11-13 01:50 EST, Mark Rooks
no flags Details
File: var_log_messages (338 bytes, text/plain)
2013-11-13 01:50 EST, Mark Rooks
no flags Details

  None (edit)
Description Mark Rooks 2013-11-13 01:49:15 EST
Description of problem:
I opened multiple very large text files (largest was 3GB)
When I tried to close the files, the geany app seemed to hang on the last file and then the crash occurred

Version-Release number of selected component:
geany-1.23.1-1.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/geany /home/mrooks/tickets/00978997/20131112063428_978997_satellite_osa-dispatcher_log.txt
crash_function: gtk_notebook_button_release
executable:     /usr/bin/geany
kernel:         3.11.7-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 gtk_notebook_button_release at gtknotebook.c:3017
 #1 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #6 gtk_widget_event_internal at gtkwidget.c:5017
 #7 gtk_widget_event at gtkwidget.c:4814
 #8 gtk_propagate_event at gtkmain.c:2490
 #9 gtk_main_do_event at gtkmain.c:1685
 #15 gtk_main at gtkmain.c:1257

Potential duplicate: bug 864224
Comment 1 Mark Rooks 2013-11-13 01:49:25 EST
Created attachment 823259 [details]
File: backtrace
Comment 2 Mark Rooks 2013-11-13 01:49:28 EST
Created attachment 823260 [details]
File: cgroup
Comment 3 Mark Rooks 2013-11-13 01:49:33 EST
Created attachment 823261 [details]
File: core_backtrace
Comment 4 Mark Rooks 2013-11-13 01:49:37 EST
Created attachment 823262 [details]
File: dso_list
Comment 5 Mark Rooks 2013-11-13 01:49:42 EST
Created attachment 823263 [details]
File: environ
Comment 6 Mark Rooks 2013-11-13 01:49:47 EST
Created attachment 823264 [details]
File: exploitable
Comment 7 Mark Rooks 2013-11-13 01:49:52 EST
Created attachment 823265 [details]
File: limits
Comment 8 Mark Rooks 2013-11-13 01:49:58 EST
Created attachment 823266 [details]
File: maps
Comment 9 Mark Rooks 2013-11-13 01:50:04 EST
Created attachment 823267 [details]
File: open_fds
Comment 10 Mark Rooks 2013-11-13 01:50:10 EST
Created attachment 823268 [details]
File: proc_pid_status
Comment 11 Mark Rooks 2013-11-13 01:50:14 EST
Created attachment 823269 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2015-01-09 15:34:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 14:13:09 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.